<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"mybatis-3-mapper.dtd">
<mapper namespace="com.mortals.xhx.module.window.dao.ibatis.WindowPerformSummaryDaoImpl">

    <!-- 字段和属性映射 -->
    <resultMap type="WindowPerformSummaryEntity" id="WindowPerformSummaryEntity-Map">
            <id  property="id" column="id" />
            <result property="year" column="year" />
            <result property="month" column="month" />
            <result property="deptId" column="deptId" />
            <result property="deptName" column="deptName" />
            <result property="ckjsdf" column="ckjsdf" />
            <result property="zdrwdf" column="zdrwdf" />
            <result property="addTotalScore" column="addTotalScore" />
            <result property="sumScore" column="sumScore" />
            <result property="suggestion" column="suggestion" />
            <result property="remark" column="remark" />
            <result property="createUserId" column="createUserId" />
            <result property="createTime" column="createTime" />
            <result property="updateUserId" column="updateUserId" />
            <result property="updateTime" column="updateTime" />
    </resultMap>

    <!-- 表所有列 -->
    <sql id="_columns">
        <trim suffixOverrides="," suffix="">
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('id') or colPickMode == 1 and data.containsKey('id')))">
                    a.id,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('year') or colPickMode == 1 and data.containsKey('year')))">
                    a.year,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('month') or colPickMode == 1 and data.containsKey('month')))">
                    a.month,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('deptId') or colPickMode == 1 and data.containsKey('deptId')))">
                    a.deptId,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('deptName') or colPickMode == 1 and data.containsKey('deptName')))">
                    a.deptName,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('ckjsdf') or colPickMode == 1 and data.containsKey('ckjsdf')))">
                    a.ckjsdf,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('zdrwdf') or colPickMode == 1 and data.containsKey('zdrwdf')))">
                    a.zdrwdf,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('addTotalScore') or colPickMode == 1 and data.containsKey('addTotalScore')))">
                    a.addTotalScore,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('sumScore') or colPickMode == 1 and data.containsKey('sumScore')))">
                    a.sumScore,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('suggestion') or colPickMode == 1 and data.containsKey('suggestion')))">
                    a.suggestion,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('remark') or colPickMode == 1 and data.containsKey('remark')))">
                    a.remark,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('createUserId') or colPickMode == 1 and data.containsKey('createUserId')))">
                    a.createUserId,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('createTime') or colPickMode == 1 and data.containsKey('createTime')))">
                    a.createTime,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('updateUserId') or colPickMode == 1 and data.containsKey('updateUserId')))">
                    a.updateUserId,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('updateTime') or colPickMode == 1 and data.containsKey('updateTime')))">
                    a.updateTime,
                </if>
        </trim>
    </sql>
    <!-- 新增 区分主键自增加还是业务插入 -->
    <insert id="insert" parameterType="WindowPerformSummaryEntity"  useGeneratedKeys="true" keyProperty="id">
        insert into mortals_xhx_window_perform_summary
        (year,month,deptId,deptName,ckjsdf,zdrwdf,addTotalScore,sumScore,suggestion,remark,createUserId,createTime,updateUserId,updateTime)
        VALUES
        (#{year},#{month},#{deptId},#{deptName},#{ckjsdf},#{zdrwdf},#{addTotalScore},#{sumScore},#{suggestion},#{remark},#{createUserId},#{createTime},#{updateUserId},#{updateTime})
    </insert>

    <!-- 批量新增 -->
    <insert id="insertBatch" parameterType="paramDto">
        insert into mortals_xhx_window_perform_summary
        (year,month,deptId,deptName,ckjsdf,zdrwdf,addTotalScore,sumScore,suggestion,remark,createUserId,createTime,updateUserId,updateTime)
        VALUES
        <foreach collection="data.dataList" item="item" index="index" separator="," >
            (#{item.year},#{item.month},#{item.deptId},#{item.deptName},#{item.ckjsdf},#{item.zdrwdf},#{item.addTotalScore},#{item.sumScore},#{item.suggestion},#{item.remark},#{item.createUserId},#{item.createTime},#{item.updateUserId},#{item.updateTime})
        </foreach>
    </insert>


    <!-- 根据ParamDto更新 -->
    <update id="update" parameterType="paramDto">
        update mortals_xhx_window_perform_summary as a
        set
        <trim suffixOverrides="," suffix="">
            <if test="(colPickMode==0 and data.containsKey('year')) or (colPickMode==1 and !data.containsKey('year'))">
                a.year=#{data.year},
            </if>
            <if test="(colPickMode==0 and data.containsKey('yearIncrement')) or (colPickMode==1 and !data.containsKey('yearIncrement'))">
                a.year=ifnull(a.year,0) + #{data.yearIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('month')) or (colPickMode==1 and !data.containsKey('month'))">
                a.month=#{data.month},
            </if>
            <if test="(colPickMode==0 and data.containsKey('monthIncrement')) or (colPickMode==1 and !data.containsKey('monthIncrement'))">
                a.month=ifnull(a.month,0) + #{data.monthIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('deptId')) or (colPickMode==1 and !data.containsKey('deptId'))">
                a.deptId=#{data.deptId},
            </if>
            <if test="(colPickMode==0 and data.containsKey('deptIdIncrement')) or (colPickMode==1 and !data.containsKey('deptIdIncrement'))">
                a.deptId=ifnull(a.deptId,0) + #{data.deptIdIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('deptName')) or (colPickMode==1 and !data.containsKey('deptName'))">
                a.deptName=#{data.deptName},
            </if>
            <if test="(colPickMode==0 and data.containsKey('ckjsdf')) or (colPickMode==1 and !data.containsKey('ckjsdf'))">
                a.ckjsdf=#{data.ckjsdf},
            </if>
            <if test="(colPickMode==0 and data.containsKey('ckjsdfIncrement')) or (colPickMode==1 and !data.containsKey('ckjsdfIncrement'))">
                a.ckjsdf=ifnull(a.ckjsdf,0) + #{data.ckjsdfIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('zdrwdf')) or (colPickMode==1 and !data.containsKey('zdrwdf'))">
                a.zdrwdf=#{data.zdrwdf},
            </if>
            <if test="(colPickMode==0 and data.containsKey('zdrwdfIncrement')) or (colPickMode==1 and !data.containsKey('zdrwdfIncrement'))">
                a.zdrwdf=ifnull(a.zdrwdf,0) + #{data.zdrwdfIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('addTotalScore')) or (colPickMode==1 and !data.containsKey('addTotalScore'))">
                a.addTotalScore=#{data.addTotalScore},
            </if>
            <if test="(colPickMode==0 and data.containsKey('addTotalScoreIncrement')) or (colPickMode==1 and !data.containsKey('addTotalScoreIncrement'))">
                a.addTotalScore=ifnull(a.addTotalScore,0) + #{data.addTotalScoreIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('sumScore')) or (colPickMode==1 and !data.containsKey('sumScore'))">
                a.sumScore=#{data.sumScore},
            </if>
            <if test="(colPickMode==0 and data.containsKey('sumScoreIncrement')) or (colPickMode==1 and !data.containsKey('sumScoreIncrement'))">
                a.sumScore=ifnull(a.sumScore,0) + #{data.sumScoreIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('suggestion')) or (colPickMode==1 and !data.containsKey('suggestion'))">
                a.suggestion=#{data.suggestion},
            </if>
            <if test="(colPickMode==0 and data.containsKey('suggestionIncrement')) or (colPickMode==1 and !data.containsKey('suggestionIncrement'))">
                a.suggestion=ifnull(a.suggestion,0) + #{data.suggestionIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('remark')) or (colPickMode==1 and !data.containsKey('remark'))">
                a.remark=#{data.remark},
            </if>
            <if test="(colPickMode==0 and data.containsKey('createUserId')) or (colPickMode==1 and !data.containsKey('createUserId'))">
                a.createUserId=#{data.createUserId},
            </if>
            <if test="(colPickMode==0 and data.containsKey('createUserIdIncrement')) or (colPickMode==1 and !data.containsKey('createUserIdIncrement'))">
                a.createUserId=ifnull(a.createUserId,0) + #{data.createUserIdIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('createTime')) or (colPickMode==1 and !data.containsKey('createTime'))">
                a.createTime=#{data.createTime},
            </if>
            <if test="(colPickMode==0 and data.containsKey('updateUserId')) or (colPickMode==1 and !data.containsKey('updateUserId'))">
                a.updateUserId=#{data.updateUserId},
            </if>
            <if test="(colPickMode==0 and data.containsKey('updateUserIdIncrement')) or (colPickMode==1 and !data.containsKey('updateUserIdIncrement'))">
                a.updateUserId=ifnull(a.updateUserId,0) + #{data.updateUserIdIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('updateTime')) or (colPickMode==1 and !data.containsKey('updateTime'))">
                a.updateTime=#{data.updateTime},
            </if>
        </trim>
        <trim suffixOverrides="where" suffix="">
            where
            <trim prefixOverrides="and" prefix="">
                <include refid="_condition_"/>
            </trim>
        </trim>
    </update>
    <!-- 批量更新 -->
    <update id="updateBatch" parameterType="paramDto">
        update mortals_xhx_window_perform_summary as a
        <trim prefix="set" suffixOverrides=",">
                        <trim prefix="year=(case" suffix="ELSE year end),">
                            <foreach collection="data.dataList" item="item" index="index" separator="" >
                                <choose>
                                    <when test="(colPickMode==0 and item.containsKey('year')) or (colPickMode==1 and !item.containsKey('year'))">
                                        when a.id=#{item.id} then #{item.year}
                                    </when>
                                    <when test="(colPickMode==0 and item.containsKey('yearIncrement')) or (colPickMode==1 and !item.containsKey('yearIncrement'))">
                                        when a.id=#{item.id} then ifnull(a.year,0) + #{item.yearIncrement}
                                    </when>
                                </choose>
                            </foreach>
                        </trim>
                        <trim prefix="month=(case" suffix="ELSE month end),">
                            <foreach collection="data.dataList" item="item" index="index" separator="" >
                                <choose>
                                    <when test="(colPickMode==0 and item.containsKey('month')) or (colPickMode==1 and !item.containsKey('month'))">
                                        when a.id=#{item.id} then #{item.month}
                                    </when>
                                    <when test="(colPickMode==0 and item.containsKey('monthIncrement')) or (colPickMode==1 and !item.containsKey('monthIncrement'))">
                                        when a.id=#{item.id} then ifnull(a.month,0) + #{item.monthIncrement}
                                    </when>
                                </choose>
                            </foreach>
                        </trim>
                        <trim prefix="deptId=(case" suffix="ELSE deptId end),">
                            <foreach collection="data.dataList" item="item" index="index" separator="" >
                                <choose>
                                    <when test="(colPickMode==0 and item.containsKey('deptId')) or (colPickMode==1 and !item.containsKey('deptId'))">
                                        when a.id=#{item.id} then #{item.deptId}
                                    </when>
                                    <when test="(colPickMode==0 and item.containsKey('deptIdIncrement')) or (colPickMode==1 and !item.containsKey('deptIdIncrement'))">
                                        when a.id=#{item.id} then ifnull(a.deptId,0) + #{item.deptIdIncrement}
                                    </when>
                                </choose>
                            </foreach>
                        </trim>
                <trim prefix="deptName=(case" suffix="ELSE deptName end),">
                    <foreach collection="data.dataList" item="item" index="index" separator="" >
                        <if test="(colPickMode==0 and item.containsKey('deptName')) or (colPickMode==1 and !item.containsKey('deptName'))">
                            when a.id=#{item.id} then #{item.deptName}
                        </if>
                    </foreach>
                </trim>
                        <trim prefix="ckjsdf=(case" suffix="ELSE ckjsdf end),">
                            <foreach collection="data.dataList" item="item" index="index" separator="" >
                                <choose>
                                    <when test="(colPickMode==0 and item.containsKey('ckjsdf')) or (colPickMode==1 and !item.containsKey('ckjsdf'))">
                                        when a.id=#{item.id} then #{item.ckjsdf}
                                    </when>
                                    <when test="(colPickMode==0 and item.containsKey('ckjsdfIncrement')) or (colPickMode==1 and !item.containsKey('ckjsdfIncrement'))">
                                        when a.id=#{item.id} then ifnull(a.ckjsdf,0) + #{item.ckjsdfIncrement}
                                    </when>
                                </choose>
                            </foreach>
                        </trim>
                        <trim prefix="zdrwdf=(case" suffix="ELSE zdrwdf end),">
                            <foreach collection="data.dataList" item="item" index="index" separator="" >
                                <choose>
                                    <when test="(colPickMode==0 and item.containsKey('zdrwdf')) or (colPickMode==1 and !item.containsKey('zdrwdf'))">
                                        when a.id=#{item.id} then #{item.zdrwdf}
                                    </when>
                                    <when test="(colPickMode==0 and item.containsKey('zdrwdfIncrement')) or (colPickMode==1 and !item.containsKey('zdrwdfIncrement'))">
                                        when a.id=#{item.id} then ifnull(a.zdrwdf,0) + #{item.zdrwdfIncrement}
                                    </when>
                                </choose>
                            </foreach>
                        </trim>
                        <trim prefix="addTotalScore=(case" suffix="ELSE addTotalScore end),">
                            <foreach collection="data.dataList" item="item" index="index" separator="" >
                                <choose>
                                    <when test="(colPickMode==0 and item.containsKey('addTotalScore')) or (colPickMode==1 and !item.containsKey('addTotalScore'))">
                                        when a.id=#{item.id} then #{item.addTotalScore}
                                    </when>
                                    <when test="(colPickMode==0 and item.containsKey('addTotalScoreIncrement')) or (colPickMode==1 and !item.containsKey('addTotalScoreIncrement'))">
                                        when a.id=#{item.id} then ifnull(a.addTotalScore,0) + #{item.addTotalScoreIncrement}
                                    </when>
                                </choose>
                            </foreach>
                        </trim>
                        <trim prefix="sumScore=(case" suffix="ELSE sumScore end),">
                            <foreach collection="data.dataList" item="item" index="index" separator="" >
                                <choose>
                                    <when test="(colPickMode==0 and item.containsKey('sumScore')) or (colPickMode==1 and !item.containsKey('sumScore'))">
                                        when a.id=#{item.id} then #{item.sumScore}
                                    </when>
                                    <when test="(colPickMode==0 and item.containsKey('sumScoreIncrement')) or (colPickMode==1 and !item.containsKey('sumScoreIncrement'))">
                                        when a.id=#{item.id} then ifnull(a.sumScore,0) + #{item.sumScoreIncrement}
                                    </when>
                                </choose>
                            </foreach>
                        </trim>
                        <trim prefix="suggestion=(case" suffix="ELSE suggestion end),">
                            <foreach collection="data.dataList" item="item" index="index" separator="" >
                                <choose>
                                    <when test="(colPickMode==0 and item.containsKey('suggestion')) or (colPickMode==1 and !item.containsKey('suggestion'))">
                                        when a.id=#{item.id} then #{item.suggestion}
                                    </when>
                                    <when test="(colPickMode==0 and item.containsKey('suggestionIncrement')) or (colPickMode==1 and !item.containsKey('suggestionIncrement'))">
                                        when a.id=#{item.id} then ifnull(a.suggestion,0) + #{item.suggestionIncrement}
                                    </when>
                                </choose>
                            </foreach>
                        </trim>
                <trim prefix="remark=(case" suffix="ELSE remark end),">
                    <foreach collection="data.dataList" item="item" index="index" separator="" >
                        <if test="(colPickMode==0 and item.containsKey('remark')) or (colPickMode==1 and !item.containsKey('remark'))">
                            when a.id=#{item.id} then #{item.remark}
                        </if>
                    </foreach>
                </trim>
                        <trim prefix="createUserId=(case" suffix="ELSE createUserId end),">
                            <foreach collection="data.dataList" item="item" index="index" separator="" >
                                <choose>
                                    <when test="(colPickMode==0 and item.containsKey('createUserId')) or (colPickMode==1 and !item.containsKey('createUserId'))">
                                        when a.id=#{item.id} then #{item.createUserId}
                                    </when>
                                    <when test="(colPickMode==0 and item.containsKey('createUserIdIncrement')) or (colPickMode==1 and !item.containsKey('createUserIdIncrement'))">
                                        when a.id=#{item.id} then ifnull(a.createUserId,0) + #{item.createUserIdIncrement}
                                    </when>
                                </choose>
                            </foreach>
                        </trim>
                <trim prefix="createTime=(case" suffix="ELSE createTime end),">
                    <foreach collection="data.dataList" item="item" index="index" separator="" >
                        <if test="(colPickMode==0 and item.containsKey('createTime')) or (colPickMode==1 and !item.containsKey('createTime'))">
                            when a.id=#{item.id} then #{item.createTime}
                        </if>
                    </foreach>
                </trim>
                        <trim prefix="updateUserId=(case" suffix="ELSE updateUserId end),">
                            <foreach collection="data.dataList" item="item" index="index" separator="" >
                                <choose>
                                    <when test="(colPickMode==0 and item.containsKey('updateUserId')) or (colPickMode==1 and !item.containsKey('updateUserId'))">
                                        when a.id=#{item.id} then #{item.updateUserId}
                                    </when>
                                    <when test="(colPickMode==0 and item.containsKey('updateUserIdIncrement')) or (colPickMode==1 and !item.containsKey('updateUserIdIncrement'))">
                                        when a.id=#{item.id} then ifnull(a.updateUserId,0) + #{item.updateUserIdIncrement}
                                    </when>
                                </choose>
                            </foreach>
                        </trim>
                <trim prefix="updateTime=(case" suffix="ELSE updateTime end),">
                    <foreach collection="data.dataList" item="item" index="index" separator="" >
                        <if test="(colPickMode==0 and item.containsKey('updateTime')) or (colPickMode==1 and !item.containsKey('updateTime'))">
                            when a.id=#{item.id} then #{item.updateTime}
                        </if>
                    </foreach>
                </trim>
        </trim>
        where id in
        <foreach collection="data.dataList" item="item" index="index" open="(" separator="," close=")">
            #{item.id}
        </foreach>
    </update>
    <!-- 根据主健查询 -->
    <select id="getByKey" parameterType="paramDto" resultMap="WindowPerformSummaryEntity-Map">
        select <include refid="_columns"/>
        from mortals_xhx_window_perform_summary as a
        where a.id=#{condition.id}
    </select>
    <!-- 根据主健删除 -->
    <delete id="deleteByKey" parameterType="paramDto">
        delete a.* from mortals_xhx_window_perform_summary as a where a.id=#{condition.id}
    </delete>
    <!-- 根据主健删除一批，针对单一主健有效 -->
    <delete id="deleteByKeys">
        delete from mortals_xhx_window_perform_summary where id in
        <foreach collection="array" item="item" index="index" open="(" separator="," close=")">
            #{item}
        </foreach>
    </delete>
    <!-- 根据主健列表删除一批，针对单一主健有效 -->
    <delete id="deleteByKeyList">
        delete from mortals_xhx_window_perform_summary where id in
        <foreach collection="list" item="item" index="index" open="(" separator="," close=")">
            #{item}
        </foreach>
    </delete>

    <!-- 根据对象列表删除一批，针对单一主健有效 -->
    <delete id="deleteByEntityList">
        delete from mortals_xhx_window_perform_summary where id in
        <foreach collection="list" item="item" index="index" open="(" separator="," close=")">
            #{item.id}
        </foreach>
    </delete>
    <!-- 根据paramDto删除一批 -->
    <delete id="deleteByMap" parameterType="paramDto">
        delete a.* from mortals_xhx_window_perform_summary as a
        <trim suffixOverrides="where" suffix="">
            where
            <trim prefixOverrides="and" prefix="">
                <include refid="_condition_"/>
            </trim>
        </trim>
    </delete>
    <!-- 获取列表 -->
    <select id="getList" parameterType="paramDto" resultMap="WindowPerformSummaryEntity-Map">
        select <include refid="_columns"/>
        from mortals_xhx_window_perform_summary as a
        <trim suffixOverrides="where" suffix="">
            where
            <trim prefixOverrides="and" prefix="">
                <include refid="_condition_"/>
            </trim>
        </trim>
        <include refid="_orderCols_"/>
    </select>



    <!-- 获取 -->
    <select id="getListCount" parameterType="paramDto" resultType="int">
        select count(1)
        from mortals_xhx_window_perform_summary as a
        <trim suffixOverrides="where" suffix="">
            where
            <trim prefixOverrides="and" prefix="">
                <include refid="_condition_"/>
            </trim>
        </trim>
    </select>
    <!-- 条件映射 -->
    <sql id="_condition_">
        <if test="condition != null and !condition.isEmpty()">
            <!-- 条件映射-普通条件 -->
            <include refid="_condition_param_">
                <property name="_conditionParam_" value="condition"/>
                <property name="_conditionType_" value="and"/>
            </include>
            <!-- 条件映射-集合之间使用AND，集合中元素使用OR-(list[0].1 or list[0].2) and (list[1].3 or list[1].4) -->
            <if test="condition.containsKey('andConditionList') and !condition.andConditionList.isEmpty()">
                and
                <foreach collection="condition.andConditionList" open="(" close=")" index="index" item="andCondition" separator=" and ">
                    <trim prefixOverrides="or" prefix="(" suffix=")">
                        <include refid="_condition_param_">
                            <property name="_conditionParam_" value="andCondition"/>
                            <property name="_conditionType_" value="or"/>
                        </include>
                    </trim>
                </foreach>
            </if>
            <!-- 条件映射-集合之间使用OR，集合中元素使用AND-(list[0].1 and list[0].2) or (list[1].3 and list[1].4) -->
            <if test="condition.containsKey('orConditionList') and !condition.orConditionList.isEmpty()">
                and
                <foreach collection="condition.orConditionList" open="(" close=")" index="index" item="orCondition" separator=" or ">
                    <trim prefixOverrides="and" prefix="(" suffix=")">
                        <include refid="_condition_param_">
                            <property name="_conditionParam_" value="orCondition"/>
                            <property name="_conditionType_" value="and"/>
                        </include>
                    </trim>
                </foreach>
            </if>
        </if>
    </sql>
    <!-- 条件映射-代参数 -->
    <sql id="_condition_param_">
        <bind name="conditionParamRef" value="${_conditionParam_}"/>
        <if test="permissionSql != null and permissionSql != ''">
            ${permissionSql}
        </if>

        <if test="conditionParamRef.containsKey('id')">
            <if test="conditionParamRef.id != null">
                ${_conditionType_} a.id=#{${_conditionParam_}.id}
            </if>
        </if>
            <if test="conditionParamRef.containsKey('id')">
                <if test="conditionParamRef.id != null ">
                    ${_conditionType_} a.id = #{${_conditionParam_}.id}
                </if>
                <if test="conditionParamRef.id == null">
                    ${_conditionType_} a.id is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('idList') and conditionParamRef.idList.size() > 0">
                ${_conditionType_} a.id in
                <foreach collection="conditionParamRef.idList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('idNotList') and conditionParamRef.idNotList.size() > 0">
                ${_conditionType_} a.id not in
                <foreach collection="conditionParamRef.idNotList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('idStart') and conditionParamRef.idStart != null">
                ${_conditionType_} a.id <![CDATA[ >= ]]> #{${_conditionParam_}.idStart}
            </if>
            <if test="conditionParamRef.containsKey('idEnd') and conditionParamRef.idEnd != null">
                ${_conditionType_} a.id <![CDATA[ <= ]]> #{${_conditionParam_}.idEnd}
            </if>

            <if test="conditionParamRef.containsKey('year')">
                <if test="conditionParamRef.year != null ">
                    ${_conditionType_} a.year = #{${_conditionParam_}.year}
                </if>
                <if test="conditionParamRef.year == null">
                    ${_conditionType_} a.year is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('yearList') and conditionParamRef.yearList.size() > 0">
                ${_conditionType_} a.year in
                <foreach collection="conditionParamRef.yearList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('yearNotList') and conditionParamRef.yearNotList.size() > 0">
                ${_conditionType_} a.year not in
                <foreach collection="conditionParamRef.yearNotList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('yearStart') and conditionParamRef.yearStart != null">
                ${_conditionType_} a.year <![CDATA[ >= ]]> #{${_conditionParam_}.yearStart}
            </if>
            <if test="conditionParamRef.containsKey('yearEnd') and conditionParamRef.yearEnd != null">
                ${_conditionType_} a.year <![CDATA[ <= ]]> #{${_conditionParam_}.yearEnd}
            </if>

            <if test="conditionParamRef.containsKey('month')">
                <if test="conditionParamRef.month != null ">
                    ${_conditionType_} a.month = #{${_conditionParam_}.month}
                </if>
                <if test="conditionParamRef.month == null">
                    ${_conditionType_} a.month is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('monthList') and conditionParamRef.monthList.size() > 0">
                ${_conditionType_} a.month in
                <foreach collection="conditionParamRef.monthList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('monthNotList') and conditionParamRef.monthNotList.size() > 0">
                ${_conditionType_} a.month not in
                <foreach collection="conditionParamRef.monthNotList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('monthStart') and conditionParamRef.monthStart != null">
                ${_conditionType_} a.month <![CDATA[ >= ]]> #{${_conditionParam_}.monthStart}
            </if>
            <if test="conditionParamRef.containsKey('monthEnd') and conditionParamRef.monthEnd != null">
                ${_conditionType_} a.month <![CDATA[ <= ]]> #{${_conditionParam_}.monthEnd}
            </if>

            <if test="conditionParamRef.containsKey('deptId')">
                <if test="conditionParamRef.deptId != null ">
                    ${_conditionType_} a.deptId = #{${_conditionParam_}.deptId}
                </if>
                <if test="conditionParamRef.deptId == null">
                    ${_conditionType_} a.deptId is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('deptIdList') and conditionParamRef.deptIdList.size() > 0">
                ${_conditionType_} a.deptId in
                <foreach collection="conditionParamRef.deptIdList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('deptIdNotList') and conditionParamRef.deptIdNotList.size() > 0">
                ${_conditionType_} a.deptId not in
                <foreach collection="conditionParamRef.deptIdNotList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('deptIdStart') and conditionParamRef.deptIdStart != null">
                ${_conditionType_} a.deptId <![CDATA[ >= ]]> #{${_conditionParam_}.deptIdStart}
            </if>
            <if test="conditionParamRef.containsKey('deptIdEnd') and conditionParamRef.deptIdEnd != null">
                ${_conditionType_} a.deptId <![CDATA[ <= ]]> #{${_conditionParam_}.deptIdEnd}
            </if>


            <if test="conditionParamRef.containsKey('deptName')">
                <if test="conditionParamRef.deptName != null and conditionParamRef.deptName != ''">
                    ${_conditionType_} a.deptName like #{${_conditionParam_}.deptName}
                </if>
                <if test="conditionParamRef.deptName == null">
                    ${_conditionType_} a.deptName is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('deptNameList') and conditionParamRef.deptNameList.size() > 0">
                ${_conditionType_} a.deptName in
                <foreach collection="conditionParamRef.deptNameList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('deptNameNotList') and conditionParamRef.deptNameNotList.size() > 0">
                ${_conditionType_} a.deptName not in
                <foreach collection="conditionParamRef.deptNameNotList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('ckjsdf')">
                <if test="conditionParamRef.ckjsdf != null ">
                    ${_conditionType_} a.ckjsdf = #{${_conditionParam_}.ckjsdf}
                </if>
                <if test="conditionParamRef.ckjsdf == null">
                    ${_conditionType_} a.ckjsdf is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('ckjsdfList') and conditionParamRef.ckjsdfList.size() > 0">
                ${_conditionType_} a.ckjsdf in
                <foreach collection="conditionParamRef.ckjsdfList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('ckjsdfNotList') and conditionParamRef.ckjsdfNotList.size() > 0">
                ${_conditionType_} a.ckjsdf not in
                <foreach collection="conditionParamRef.ckjsdfNotList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('ckjsdfStart') and conditionParamRef.ckjsdfStart != null">
                ${_conditionType_} a.ckjsdf <![CDATA[ >= ]]> #{${_conditionParam_}.ckjsdfStart}
            </if>
            <if test="conditionParamRef.containsKey('ckjsdfEnd') and conditionParamRef.ckjsdfEnd != null">
                ${_conditionType_} a.ckjsdf <![CDATA[ <= ]]> #{${_conditionParam_}.ckjsdfEnd}
            </if>

            <if test="conditionParamRef.containsKey('zdrwdf')">
                <if test="conditionParamRef.zdrwdf != null ">
                    ${_conditionType_} a.zdrwdf = #{${_conditionParam_}.zdrwdf}
                </if>
                <if test="conditionParamRef.zdrwdf == null">
                    ${_conditionType_} a.zdrwdf is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('zdrwdfList') and conditionParamRef.zdrwdfList.size() > 0">
                ${_conditionType_} a.zdrwdf in
                <foreach collection="conditionParamRef.zdrwdfList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('zdrwdfNotList') and conditionParamRef.zdrwdfNotList.size() > 0">
                ${_conditionType_} a.zdrwdf not in
                <foreach collection="conditionParamRef.zdrwdfNotList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('zdrwdfStart') and conditionParamRef.zdrwdfStart != null">
                ${_conditionType_} a.zdrwdf <![CDATA[ >= ]]> #{${_conditionParam_}.zdrwdfStart}
            </if>
            <if test="conditionParamRef.containsKey('zdrwdfEnd') and conditionParamRef.zdrwdfEnd != null">
                ${_conditionType_} a.zdrwdf <![CDATA[ <= ]]> #{${_conditionParam_}.zdrwdfEnd}
            </if>

            <if test="conditionParamRef.containsKey('addTotalScore')">
                <if test="conditionParamRef.addTotalScore != null ">
                    ${_conditionType_} a.addTotalScore = #{${_conditionParam_}.addTotalScore}
                </if>
                <if test="conditionParamRef.addTotalScore == null">
                    ${_conditionType_} a.addTotalScore is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('addTotalScoreList') and conditionParamRef.addTotalScoreList.size() > 0">
                ${_conditionType_} a.addTotalScore in
                <foreach collection="conditionParamRef.addTotalScoreList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('addTotalScoreNotList') and conditionParamRef.addTotalScoreNotList.size() > 0">
                ${_conditionType_} a.addTotalScore not in
                <foreach collection="conditionParamRef.addTotalScoreNotList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('addTotalScoreStart') and conditionParamRef.addTotalScoreStart != null">
                ${_conditionType_} a.addTotalScore <![CDATA[ >= ]]> #{${_conditionParam_}.addTotalScoreStart}
            </if>
            <if test="conditionParamRef.containsKey('addTotalScoreEnd') and conditionParamRef.addTotalScoreEnd != null">
                ${_conditionType_} a.addTotalScore <![CDATA[ <= ]]> #{${_conditionParam_}.addTotalScoreEnd}
            </if>

            <if test="conditionParamRef.containsKey('sumScore')">
                <if test="conditionParamRef.sumScore != null ">
                    ${_conditionType_} a.sumScore = #{${_conditionParam_}.sumScore}
                </if>
                <if test="conditionParamRef.sumScore == null">
                    ${_conditionType_} a.sumScore is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('sumScoreList') and conditionParamRef.sumScoreList.size() > 0">
                ${_conditionType_} a.sumScore in
                <foreach collection="conditionParamRef.sumScoreList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('sumScoreNotList') and conditionParamRef.sumScoreNotList.size() > 0">
                ${_conditionType_} a.sumScore not in
                <foreach collection="conditionParamRef.sumScoreNotList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('sumScoreStart') and conditionParamRef.sumScoreStart != null">
                ${_conditionType_} a.sumScore <![CDATA[ >= ]]> #{${_conditionParam_}.sumScoreStart}
            </if>
            <if test="conditionParamRef.containsKey('sumScoreEnd') and conditionParamRef.sumScoreEnd != null">
                ${_conditionType_} a.sumScore <![CDATA[ <= ]]> #{${_conditionParam_}.sumScoreEnd}
            </if>

            <if test="conditionParamRef.containsKey('suggestion')">
                <if test="conditionParamRef.suggestion != null ">
                    ${_conditionType_} a.suggestion = #{${_conditionParam_}.suggestion}
                </if>
                <if test="conditionParamRef.suggestion == null">
                    ${_conditionType_} a.suggestion is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('suggestionList') and conditionParamRef.suggestionList.size() > 0">
                ${_conditionType_} a.suggestion in
                <foreach collection="conditionParamRef.suggestionList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('suggestionNotList') and conditionParamRef.suggestionNotList.size() > 0">
                ${_conditionType_} a.suggestion not in
                <foreach collection="conditionParamRef.suggestionNotList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('suggestionStart') and conditionParamRef.suggestionStart != null">
                ${_conditionType_} a.suggestion <![CDATA[ >= ]]> #{${_conditionParam_}.suggestionStart}
            </if>
            <if test="conditionParamRef.containsKey('suggestionEnd') and conditionParamRef.suggestionEnd != null">
                ${_conditionType_} a.suggestion <![CDATA[ <= ]]> #{${_conditionParam_}.suggestionEnd}
            </if>


            <if test="conditionParamRef.containsKey('remark')">
                <if test="conditionParamRef.remark != null and conditionParamRef.remark != ''">
                    ${_conditionType_} a.remark like #{${_conditionParam_}.remark}
                </if>
                <if test="conditionParamRef.remark == null">
                    ${_conditionType_} a.remark is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('remarkList') and conditionParamRef.remarkList.size() > 0">
                ${_conditionType_} a.remark in
                <foreach collection="conditionParamRef.remarkList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('remarkNotList') and conditionParamRef.remarkNotList.size() > 0">
                ${_conditionType_} a.remark not in
                <foreach collection="conditionParamRef.remarkNotList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('createUserId')">
                <if test="conditionParamRef.createUserId != null ">
                    ${_conditionType_} a.createUserId = #{${_conditionParam_}.createUserId}
                </if>
                <if test="conditionParamRef.createUserId == null">
                    ${_conditionType_} a.createUserId is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('createUserIdList') and conditionParamRef.createUserIdList.size() > 0">
                ${_conditionType_} a.createUserId in
                <foreach collection="conditionParamRef.createUserIdList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('createUserIdNotList') and conditionParamRef.createUserIdNotList.size() > 0">
                ${_conditionType_} a.createUserId not in
                <foreach collection="conditionParamRef.createUserIdNotList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('createUserIdStart') and conditionParamRef.createUserIdStart != null">
                ${_conditionType_} a.createUserId <![CDATA[ >= ]]> #{${_conditionParam_}.createUserIdStart}
            </if>
            <if test="conditionParamRef.containsKey('createUserIdEnd') and conditionParamRef.createUserIdEnd != null">
                ${_conditionType_} a.createUserId <![CDATA[ <= ]]> #{${_conditionParam_}.createUserIdEnd}
            </if>


            <if test="conditionParamRef.containsKey('createTime')">
                <if test="conditionParamRef.createTime != null ">
                    ${_conditionType_} a.createTime = #{${_conditionParam_}.createTime}
                </if>
                <if test="conditionParamRef.createTime == null">
                    ${_conditionType_} a.createTime is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('createTimeStart') and conditionParamRef.createTimeStart != null and conditionParamRef.createTimeStart!=''">
                ${_conditionType_} a.createTime <![CDATA[ >= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.createTimeStart},' 00:00:00'),19),'%Y-%m-%d %k:%i:%s')
            </if>
            <if test="conditionParamRef.containsKey('createTimeEnd') and conditionParamRef.createTimeEnd != null and conditionParamRef.createTimeEnd!=''">
                ${_conditionType_} a.createTime <![CDATA[ <= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.createTimeEnd},' 23:59:59'),19),'%Y-%m-%d %k:%i:%s')
            </if>
            <if test="conditionParamRef.containsKey('updateUserId')">
                <if test="conditionParamRef.updateUserId != null ">
                    ${_conditionType_} a.updateUserId = #{${_conditionParam_}.updateUserId}
                </if>
                <if test="conditionParamRef.updateUserId == null">
                    ${_conditionType_} a.updateUserId is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('updateUserIdList') and conditionParamRef.updateUserIdList.size() > 0">
                ${_conditionType_} a.updateUserId in
                <foreach collection="conditionParamRef.updateUserIdList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('updateUserIdNotList') and conditionParamRef.updateUserIdNotList.size() > 0">
                ${_conditionType_} a.updateUserId not in
                <foreach collection="conditionParamRef.updateUserIdNotList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('updateUserIdStart') and conditionParamRef.updateUserIdStart != null">
                ${_conditionType_} a.updateUserId <![CDATA[ >= ]]> #{${_conditionParam_}.updateUserIdStart}
            </if>
            <if test="conditionParamRef.containsKey('updateUserIdEnd') and conditionParamRef.updateUserIdEnd != null">
                ${_conditionType_} a.updateUserId <![CDATA[ <= ]]> #{${_conditionParam_}.updateUserIdEnd}
            </if>


            <if test="conditionParamRef.containsKey('updateTime')">
                <if test="conditionParamRef.updateTime != null ">
                    ${_conditionType_} a.updateTime = #{${_conditionParam_}.updateTime}
                </if>
                <if test="conditionParamRef.updateTime == null">
                    ${_conditionType_} a.updateTime is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('updateTimeStart') and conditionParamRef.updateTimeStart != null and conditionParamRef.updateTimeStart!=''">
                ${_conditionType_} a.updateTime <![CDATA[ >= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.updateTimeStart},' 00:00:00'),19),'%Y-%m-%d %k:%i:%s')
            </if>
            <if test="conditionParamRef.containsKey('updateTimeEnd') and conditionParamRef.updateTimeEnd != null and conditionParamRef.updateTimeEnd!=''">
                ${_conditionType_} a.updateTime <![CDATA[ <= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.updateTimeEnd},' 23:59:59'),19),'%Y-%m-%d %k:%i:%s')
            </if>
    </sql>
    <sql id="_orderCols_">
        <if test="orderColList != null and !orderColList.isEmpty()">
            order by
                    <if test="conditionParamRef.containsKey('idList') and conditionParamRef.idList.size() > 0">
                        field(a.id,
                        <foreach collection="conditionParamRef.idList" open="" close=")" index="index" item="item" separator=",">
                            #{item}
                        </foreach>
                        ,
                    </if>
                    <if test="conditionParamRef.containsKey('yearList') and conditionParamRef.yearList.size() > 0">
                        field(a.year,
                        <foreach collection="conditionParamRef.yearList" open="" close=")" index="index" item="item" separator=",">
                            #{item}
                        </foreach>
                        ,
                    </if>
                    <if test="conditionParamRef.containsKey('monthList') and conditionParamRef.monthList.size() > 0">
                        field(a.month,
                        <foreach collection="conditionParamRef.monthList" open="" close=")" index="index" item="item" separator=",">
                            #{item}
                        </foreach>
                        ,
                    </if>
                    <if test="conditionParamRef.containsKey('deptIdList') and conditionParamRef.deptIdList.size() > 0">
                        field(a.deptId,
                        <foreach collection="conditionParamRef.deptIdList" open="" close=")" index="index" item="item" separator=",">
                            #{item}
                        </foreach>
                        ,
                    </if>
                    <if test="conditionParamRef.containsKey('ckjsdfList') and conditionParamRef.ckjsdfList.size() > 0">
                        field(a.ckjsdf,
                        <foreach collection="conditionParamRef.ckjsdfList" open="" close=")" index="index" item="item" separator=",">
                            #{item}
                        </foreach>
                        ,
                    </if>
                    <if test="conditionParamRef.containsKey('zdrwdfList') and conditionParamRef.zdrwdfList.size() > 0">
                        field(a.zdrwdf,
                        <foreach collection="conditionParamRef.zdrwdfList" open="" close=")" index="index" item="item" separator=",">
                            #{item}
                        </foreach>
                        ,
                    </if>
                    <if test="conditionParamRef.containsKey('addTotalScoreList') and conditionParamRef.addTotalScoreList.size() > 0">
                        field(a.addTotalScore,
                        <foreach collection="conditionParamRef.addTotalScoreList" open="" close=")" index="index" item="item" separator=",">
                            #{item}
                        </foreach>
                        ,
                    </if>
                    <if test="conditionParamRef.containsKey('sumScoreList') and conditionParamRef.sumScoreList.size() > 0">
                        field(a.sumScore,
                        <foreach collection="conditionParamRef.sumScoreList" open="" close=")" index="index" item="item" separator=",">
                            #{item}
                        </foreach>
                        ,
                    </if>
                    <if test="conditionParamRef.containsKey('suggestionList') and conditionParamRef.suggestionList.size() > 0">
                        field(a.suggestion,
                        <foreach collection="conditionParamRef.suggestionList" open="" close=")" index="index" item="item" separator=",">
                            #{item}
                        </foreach>
                        ,
                    </if>
                    <if test="conditionParamRef.containsKey('createUserIdList') and conditionParamRef.createUserIdList.size() > 0">
                        field(a.createUserId,
                        <foreach collection="conditionParamRef.createUserIdList" open="" close=")" index="index" item="item" separator=",">
                            #{item}
                        </foreach>
                        ,
                    </if>
                    <if test="conditionParamRef.containsKey('updateUserIdList') and conditionParamRef.updateUserIdList.size() > 0">
                        field(a.updateUserId,
                        <foreach collection="conditionParamRef.updateUserIdList" open="" close=")" index="index" item="item" separator=",">
                            #{item}
                        </foreach>
                        ,
                    </if>
            <trim suffixOverrides=","  suffix="">
                <foreach collection="orderColList" open="" close="" index="index" item="item" separator=",">
                     a.${item.colName} ${item.sortKind}
                </foreach>
            </trim>
        </if>
        <if test="(orderColList == null or orderColList.isEmpty()) and orderCol != null and !orderCol.isEmpty()">
            order by
                    <if test="conditionParamRef.containsKey('idList') and conditionParamRef.idList.size() > 0">
                        field(a.id,
                        <foreach collection="conditionParamRef.idList" open="" close=")" index="index" item="item" separator=",">
                            #{item}
                        </foreach>
                        ,
                    </if>
                    <if test="conditionParamRef.containsKey('yearList') and conditionParamRef.yearList.size() > 0">
                        field(a.year,
                        <foreach collection="conditionParamRef.yearList" open="" close=")" index="index" item="item" separator=",">
                            #{item}
                        </foreach>
                        ,
                    </if>
                    <if test="conditionParamRef.containsKey('monthList') and conditionParamRef.monthList.size() > 0">
                        field(a.month,
                        <foreach collection="conditionParamRef.monthList" open="" close=")" index="index" item="item" separator=",">
                            #{item}
                        </foreach>
                        ,
                    </if>
                    <if test="conditionParamRef.containsKey('deptIdList') and conditionParamRef.deptIdList.size() > 0">
                        field(a.deptId,
                        <foreach collection="conditionParamRef.deptIdList" open="" close=")" index="index" item="item" separator=",">
                            #{item}
                        </foreach>
                        ,
                    </if>
                    <if test="conditionParamRef.containsKey('ckjsdfList') and conditionParamRef.ckjsdfList.size() > 0">
                        field(a.ckjsdf,
                        <foreach collection="conditionParamRef.ckjsdfList" open="" close=")" index="index" item="item" separator=",">
                            #{item}
                        </foreach>
                        ,
                    </if>
                    <if test="conditionParamRef.containsKey('zdrwdfList') and conditionParamRef.zdrwdfList.size() > 0">
                        field(a.zdrwdf,
                        <foreach collection="conditionParamRef.zdrwdfList" open="" close=")" index="index" item="item" separator=",">
                            #{item}
                        </foreach>
                        ,
                    </if>
                    <if test="conditionParamRef.containsKey('addTotalScoreList') and conditionParamRef.addTotalScoreList.size() > 0">
                        field(a.addTotalScore,
                        <foreach collection="conditionParamRef.addTotalScoreList" open="" close=")" index="index" item="item" separator=",">
                            #{item}
                        </foreach>
                        ,
                    </if>
                    <if test="conditionParamRef.containsKey('sumScoreList') and conditionParamRef.sumScoreList.size() > 0">
                        field(a.sumScore,
                        <foreach collection="conditionParamRef.sumScoreList" open="" close=")" index="index" item="item" separator=",">
                            #{item}
                        </foreach>
                        ,
                    </if>
                    <if test="conditionParamRef.containsKey('suggestionList') and conditionParamRef.suggestionList.size() > 0">
                        field(a.suggestion,
                        <foreach collection="conditionParamRef.suggestionList" open="" close=")" index="index" item="item" separator=",">
                            #{item}
                        </foreach>
                        ,
                    </if>
                    <if test="conditionParamRef.containsKey('createUserIdList') and conditionParamRef.createUserIdList.size() > 0">
                        field(a.createUserId,
                        <foreach collection="conditionParamRef.createUserIdList" open="" close=")" index="index" item="item" separator=",">
                            #{item}
                        </foreach>
                        ,
                    </if>
                    <if test="conditionParamRef.containsKey('updateUserIdList') and conditionParamRef.updateUserIdList.size() > 0">
                        field(a.updateUserId,
                        <foreach collection="conditionParamRef.updateUserIdList" open="" close=")" index="index" item="item" separator=",">
                            #{item}
                        </foreach>
                        ,
                    </if>
            <trim suffixOverrides=","  suffix="">
                    <if test="orderCol.containsKey('id')">
                        a.id
                        <if test='orderCol.id != null and "DESC".equalsIgnoreCase(orderCol.id)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('year')">
                        a.year
                        <if test='orderCol.year != null and "DESC".equalsIgnoreCase(orderCol.year)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('month')">
                        a.month
                        <if test='orderCol.month != null and "DESC".equalsIgnoreCase(orderCol.month)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('deptId')">
                        a.deptId
                        <if test='orderCol.deptId != null and "DESC".equalsIgnoreCase(orderCol.deptId)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('deptName')">
                        a.deptName
                        <if test='orderCol.deptName != null and "DESC".equalsIgnoreCase(orderCol.deptName)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('ckjsdf')">
                        a.ckjsdf
                        <if test='orderCol.ckjsdf != null and "DESC".equalsIgnoreCase(orderCol.ckjsdf)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('zdrwdf')">
                        a.zdrwdf
                        <if test='orderCol.zdrwdf != null and "DESC".equalsIgnoreCase(orderCol.zdrwdf)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('addTotalScore')">
                        a.addTotalScore
                        <if test='orderCol.addTotalScore != null and "DESC".equalsIgnoreCase(orderCol.addTotalScore)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('sumScore')">
                        a.sumScore
                        <if test='orderCol.sumScore != null and "DESC".equalsIgnoreCase(orderCol.sumScore)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('suggestion')">
                        a.suggestion
                        <if test='orderCol.suggestion != null and "DESC".equalsIgnoreCase(orderCol.suggestion)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('remark')">
                        a.remark
                        <if test='orderCol.remark != null and "DESC".equalsIgnoreCase(orderCol.remark)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('createUserId')">
                        a.createUserId
                        <if test='orderCol.createUserId != null and "DESC".equalsIgnoreCase(orderCol.createUserId)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('createTime')">
                        a.createTime
                        <if test='orderCol.createTime != null and "DESC".equalsIgnoreCase(orderCol.createTime)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('updateUserId')">
                        a.updateUserId
                        <if test='orderCol.updateUserId != null and "DESC".equalsIgnoreCase(orderCol.updateUserId)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('updateTime')">
                        a.updateTime
                        <if test='orderCol.updateTime != null and "DESC".equalsIgnoreCase(orderCol.updateTime)'>DESC</if>
                        ,
                    </if>
            </trim>
        </if>


    </sql>
    <sql id="_group_by_">
        <if test="groupList != null and !groupList.isEmpty()">
            GROUP BY
            <trim suffixOverrides=","  suffix="">
                <foreach collection="groupList" open="" close="" index="index" item="item" separator=",">
                    ${item}
                </foreach>
            </trim>
        </if>
    </sql>
</mapper>